#version 300 es

precision mediump float;

uniform sampler2D uMainTex;

in vec2 vUV;

out vec4 fragColor;

void main()
{
    if(vUV.x < 0.0 || vUV.x > 1.0 || vUV.y < 0.0 || vUV.y > 1.0) {
        fragColor = vec4(0.61, 0.68, 0.60, 1.0);
    } else {
        fragColor = texture(uMainTex, vUV);
    }
}